2020-09-20 13:50 (일)
여러 BSD와 리눅스 배포판에 영향을 미치는 OpenSMTPD의 CVE-2020-7247 RCE 결함 발견
상태바
여러 BSD와 리눅스 배포판에 영향을 미치는 OpenSMTPD의 CVE-2020-7247 RCE 결함 발견
  • hsk 기자
  • 승인 2020.02.03 16:48
이 기사를 공유합니다

퀄리스(Qualys) 보안 전문가가 OpenSMTPD에서 CVE-2020-7247로 추적된 결함을 발견했다.

OpenSMTPD는 RFC 5321에 의해 정의된 서버 측 SMTP 프로토콜의 오픈소스이고, 일부 추가적인 표준 확장도 포함한다. OpenSMTPD는 FreeBSD, NetBSD, 데비안, 페도라 및 Alpine Linux를 포함한 많은 리눅스 배포판에 있다.

CVE-2020-7247 취약점은 원격 공격자가 OpenSMTPD 클라이언트를 사용하는 서버에서 루트 권한으로 임의 코드를 실행하기 위해 악용할 수 있는 로컬 권한 상승 문제 및 원격 코드 실행 결함이다.

Qualys의 보안 권고문은 “우리는 권한 상승이 가능한 심각한 취약점을 발견했다. 가능한 빨리 설정을 업그레이드하는 것이 중요하다.”고 말한다. 공격자는 조작된 SMTP 메시지를 취약한 서버로 보내 취약점을 익스플로잇할 수 있다.

전문가들은 익스플로잇에 몇가지 한계가 있음을 지적했다. 발신자 주소의 로컬 부분을 통해 임의 셀 명령을 실행하는 기능은 다소 제한적이라는 것이다.

- OpenSMTPD는 RFC5321보다 덜 제한적이지만 로컬 부분 최대 길이는 64자여야함

- MAILADDR_ESCAPE의 문자(예: ‘$’ 및 ‘|’)는 ‘:’로 변환되며, 이러한 한계를 극복하기 위해 메일 본문을 쉘 스크립트로 실행하는 Sendmail의 디버그 취약점을 익스플로잇하는 Morris Worm으로부터 영감을 받았음

CVE-2020-7247 취약점은 2018년 5월 OpenSMTPD에 도입되었으나 많은 배포판에서 여전히 영향을 받지 않는 이전 라이브러리 구현을 사용 중이다. 전문가들은 또한 취약점에 대한 개념 증명 익스플로잇 코드도 공개했다.

 

[2020 대한민국 사이버위협·침해사고대응 인텔리전스 컨퍼런스 개최 안내]

-주최: 데일리시큐

-후원: 정부 유관기관

-참관객: 공공•금융•기업CISO, CSO, CPO 및 정보보안 담당자 및 보안연구가 등 300명

-일시: 2020년 2월 5일 수요일

-장소: 한국과학기술회관 지하1층 대회의실

-참관비용: 11만원(VAT 포함)

-교육이수: 7시간 정보보호 교육 이수 가능(정부/공공/일반기업 보안실무자)

-사전등록: 클릭

★정보보안 대표 미디어 데일리시큐!★